/*
 * logging.c for pcihpview
 *
 * Copyright (c) 2001-2003 Greg Kroah-Hartman <greg@kroah.com>
 * Copyright (c) 2001-2003 IBM Corp.
 *
 *	based on code from usbview which is Copyright (c) 1999, 2000 by
 *	Greg Kroah-Hartman, <greg@kroah.com>
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License as
 *	published by the Free Software Foundation; either version 2 of
 *	the License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public
 *	License along with this program; if not, write to the Free
 *	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 *	USA.
 *	(See the included file COPYING)
 * 
 */


#include <stdarg.h>
#include <stdio.h>
#include <syslog.h>

#include "logging.h"
#include "config.h"


/**
 * log_message - sends a message to the logging facility
 */
int log_message (int level, const char *format, ...)
{
	/*
	 * Hmm, if you think this looks a lot like a syslog(3) passthrough,
	 * you're right!
	 */
	va_list	args;

	va_start (args, format);
	vsyslog (level, format, args);
	va_end (args);
	return 1;
}

void log_init(void)
{
	openlog(PACKAGE " " VERSION, 0, 0);
}

