/*
 * slot.h for pcihpview - a pci hotplug viewing program
 *
 * Copyright (c) 2001-2003 Greg Kroah-Hartman <greg@kroah.com>
 * Copyright (c) 2001-2003 IBM Corp.
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License as
 *	published by the Free Software Foundation; either version 2 of
 *	the License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public
 *	License along with this program; if not, write to the Free
 *	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 *	USA.
 *	(See the included file COPYING)
 */

#ifndef _SLOT_H
#define _SLOT_H

struct slot {
	char		*name;
	int		power;
	int		adapter;
	int		latch;
	int		attention;
	char		*max_bus_speed;
	char		*cur_bus_speed;
	struct slot	*next;
};

extern struct slot * slot_get_root (void);
extern int slot_set_mount (const char *mount);
extern int slot_read_all (void);
extern int slot_change_power (struct slot *slot);
extern int slot_change_attention (struct slot *slot);

#endif
